Loading...
Searching...
No Matches
itk::CyclicGridScheduleComputer< TTransformScalarType, VImageDimension > Class Template Reference
Components » Transforms

`#include <itkCyclicGridScheduleComputer.h>`

## Detailed Description

template<typename TTransformScalarType, unsigned int VImageDimension>
class itk::CyclicGridScheduleComputer< TTransformScalarType, VImageDimension >

This class computes all information about the B-spline grid.

This class computes all information about the B-spline grid given the image information and the desired grid spacing. It differs from the GridScheduleComputer in how the nodes are placed in the last dimension.

Definition at line 41 of file itkCyclicGridScheduleComputer.h.

Inheritance diagram for itk::CyclicGridScheduleComputer< TTransformScalarType, VImageDimension >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | DirectionType = typename ImageBaseType::DirectionType
using | GridSpacingFactorType = SpacingType
using | ImageBaseType = ImageBase<Self::Dimension>
using | OriginType = typename ImageBaseType::PointType
using | Pointer = SmartPointer<Self>
using | PointType = typename ImageBaseType::PointType
using | RegionType = typename ImageBaseType::RegionType
using | Self = CyclicGridScheduleComputer
using | SizeType = typename ImageBaseType::SizeType
using | SpacingType = typename ImageBaseType::SpacingType
using | Superclass = GridScheduleComputer<TTransformScalarType, VImageDimension>
using | TransformConstPointer = typename TransformType::ConstPointer
using | TransformPointer = typename TransformType::Pointer
using | TransformScalarType = TTransformScalarType
using | TransformType = Transform<TransformScalarType, Self::Dimension, Self::Dimension>
using | VectorGridSpacingFactorType = std::vector<GridSpacingFactorType>
using | VectorOriginType = std::vector<OriginType>
using | VectorRegionType = std::vector<RegionType>
using | VectorSpacingType = std::vector<SpacingType>
Public Types inherited from itk::GridScheduleComputer< TTransformScalarType, VImageDimension >
using | ConstPointer = SmartPointer<const Self>
using | DirectionType = typename ImageBaseType::DirectionType
using | GridSpacingFactorType = SpacingType
using | ImageBaseType = ImageBase<Self::Dimension>
using | OriginType = typename ImageBaseType::PointType
using | Pointer = SmartPointer<Self>
using | PointType = typename ImageBaseType::PointType
using | RegionType = typename ImageBaseType::RegionType
using | Self = GridScheduleComputer
using | SizeType = typename ImageBaseType::SizeType
using | SpacingType = typename ImageBaseType::SpacingType
using | Superclass = Object
using | TransformConstPointer = typename TransformType::ConstPointer
using | TransformPointer = typename TransformType::Pointer
using | TransformScalarType = TTransformScalarType
using | TransformType = Transform<TransformScalarType, Self::Dimension, Self::Dimension>
using | VectorDirectionType = std::vector<DirectionType>
using | VectorGridSpacingFactorType = std::vector<GridSpacingFactorType>
using | VectorOriginType = std::vector<OriginType>
using | VectorRegionType = std::vector<RegionType>
using | VectorSpacingType = std::vector<SpacingType>

## Public Member Functions

void | ComputeBSplineGrid () override
virtual const char * | GetClassName () const
| ITK_DISALLOW_COPY_AND_MOVE (CyclicGridScheduleComputer)
| itkStaticConstMacro (Dimension, unsigned int, VImageDimension)
Public Member Functions inherited from itk::GridScheduleComputer< TTransformScalarType, VImageDimension >
virtual void | GetBSplineGrid (unsigned int level, RegionType &gridRegion, SpacingType &gridSpacing, OriginType &gridOrigin, DirectionType &gridDirection)
virtual unsigned int | GetBSplineOrder () const
virtual SpacingType | GetFinalGridSpacing () const
virtual DirectionType | GetImageDirection () const
virtual OriginType | GetImageOrigin () const
virtual RegionType | GetImageRegion () const
virtual SpacingType | GetImageSpacing () const
virtual void | GetSchedule (VectorGridSpacingFactorType &schedule) const
| ITK_DISALLOW_COPY_AND_MOVE (GridScheduleComputer)
| itkStaticConstMacro (Dimension, unsigned int, VImageDimension)
virtual void | SetBSplineOrder (unsigned int _arg)
virtual void | SetDefaultSchedule (unsigned int levels, double upsamplingFactor)
virtual void | SetFinalGridSpacing (SpacingType _arg)
virtual void | SetImageDirection (DirectionType _arg)
virtual void | SetImageOrigin (OriginType _arg)
virtual void | SetImageRegion (RegionType _arg)
virtual void | SetImageSpacing (SpacingType _arg)
virtual void | SetInitialTransform (const TransformType *_arg)
virtual void | SetSchedule (const VectorGridSpacingFactorType &schedule)

## Static Public Member Functions

static Pointer | New ()
Static Public Member Functions inherited from itk::GridScheduleComputer< TTransformScalarType, VImageDimension >
static Pointer | New ()

## Protected Member Functions

| CyclicGridScheduleComputer ()=default
| ~CyclicGridScheduleComputer () override=default
Protected Member Functions inherited from itk::GridScheduleComputer< TTransformScalarType, VImageDimension >
virtual void | ApplyInitialTransform (OriginType &imageOrigin, SpacingType &imageSpacing, DirectionType &imageDirection, SpacingType &finalGridSpacing) const
virtual unsigned int | GetNumberOfLevels () const
| GridScheduleComputer ()
void | PrintSelf (std::ostream &os, Indent indent) const override
| ~GridScheduleComputer () override=default

## Additional Inherited Members

Protected Attributes inherited from itk::GridScheduleComputer< TTransformScalarType, VImageDimension >
VectorDirectionType | m_GridDirections {}
VectorOriginType | m_GridOrigins {}
VectorRegionType | m_GridRegions {}
VectorGridSpacingFactorType | m_GridSpacingFactors {}
VectorSpacingType | m_GridSpacings {}
TransformConstPointer | m_InitialTransform {}

## Member Typedef Documentation

## ConstPointer

template<typename TTransformScalarType, unsigned int VImageDimension>

using itk::CyclicGridScheduleComputer< TTransformScalarType, VImageDimension >::ConstPointer = SmartPointer<const Self>

Definition at line 51 of file itkCyclicGridScheduleComputer.h.

## DirectionType

template<typename TTransformScalarType, unsigned int VImageDimension>

using itk::CyclicGridScheduleComputer< TTransformScalarType, VImageDimension >::DirectionType = typename ImageBaseType::DirectionType

Definition at line 68 of file itkCyclicGridScheduleComputer.h.

## GridSpacingFactorType

template<typename TTransformScalarType, unsigned int VImageDimension>

using itk::CyclicGridScheduleComputer< TTransformScalarType, VImageDimension >::GridSpacingFactorType = SpacingType

Definition at line 71 of file itkCyclicGridScheduleComputer.h.

## ImageBaseType

template<typename TTransformScalarType, unsigned int VImageDimension>

using itk::CyclicGridScheduleComputer< TTransformScalarType, VImageDimension >::ImageBaseType = ImageBase<Self::Dimension>

Definition at line 64 of file itkCyclicGridScheduleComputer.h.

## OriginType

template<typename TTransformScalarType, unsigned int VImageDimension>

using itk::CyclicGridScheduleComputer< TTransformScalarType, VImageDimension >::OriginType = typename ImageBaseType::PointType

Definition at line 66 of file itkCyclicGridScheduleComputer.h.

## Pointer

template<typename TTransformScalarType, unsigned int VImageDimension>

using itk::CyclicGridScheduleComputer< TTransformScalarType, VImageDimension >::Pointer = SmartPointer<Self>

Definition at line 50 of file itkCyclicGridScheduleComputer.h.

## PointType

template<typename TTransformScalarType, unsigned int VImageDimension>

using itk::CyclicGridScheduleComputer< TTransformScalarType, VImageDimension >::PointType = typename ImageBaseType::PointType

Definition at line 65 of file itkCyclicGridScheduleComputer.h.

## RegionType

template<typename TTransformScalarType, unsigned int VImageDimension>

using itk::CyclicGridScheduleComputer< TTransformScalarType, VImageDimension >::RegionType = typename ImageBaseType::RegionType

Definition at line 70 of file itkCyclicGridScheduleComputer.h.

## Self

template<typename TTransformScalarType, unsigned int VImageDimension>

using itk::CyclicGridScheduleComputer< TTransformScalarType, VImageDimension >::Self = CyclicGridScheduleComputer

Standard class typedefs.

Definition at line 48 of file itkCyclicGridScheduleComputer.h.

## SizeType

template<typename TTransformScalarType, unsigned int VImageDimension>

using itk::CyclicGridScheduleComputer< TTransformScalarType, VImageDimension >::SizeType = typename ImageBaseType::SizeType

Definition at line 69 of file itkCyclicGridScheduleComputer.h.

## SpacingType

template<typename TTransformScalarType, unsigned int VImageDimension>

using itk::CyclicGridScheduleComputer< TTransformScalarType, VImageDimension >::SpacingType = typename ImageBaseType::SpacingType

Definition at line 67 of file itkCyclicGridScheduleComputer.h.

## Superclass

template<typename TTransformScalarType, unsigned int VImageDimension>

using itk::CyclicGridScheduleComputer< TTransformScalarType, VImageDimension >::Superclass = GridScheduleComputer<TTransformScalarType, VImageDimension>

Definition at line 49 of file itkCyclicGridScheduleComputer.h.

## TransformConstPointer

template<typename TTransformScalarType, unsigned int VImageDimension>

using itk::CyclicGridScheduleComputer< TTransformScalarType, VImageDimension >::TransformConstPointer = typename TransformType::ConstPointer

Definition at line 80 of file itkCyclicGridScheduleComputer.h.

## TransformPointer

template<typename TTransformScalarType, unsigned int VImageDimension>

using itk::CyclicGridScheduleComputer< TTransformScalarType, VImageDimension >::TransformPointer = typename TransformType::Pointer

Definition at line 79 of file itkCyclicGridScheduleComputer.h.

## TransformScalarType

template<typename TTransformScalarType, unsigned int VImageDimension>

using itk::CyclicGridScheduleComputer< TTransformScalarType, VImageDimension >::TransformScalarType = TTransformScalarType

Typedef's.

Definition at line 63 of file itkCyclicGridScheduleComputer.h.

## TransformType

template<typename TTransformScalarType, unsigned int VImageDimension>

using itk::CyclicGridScheduleComputer< TTransformScalarType, VImageDimension >::TransformType = Transform<TransformScalarType, Self::Dimension, Self::Dimension>

Typedefs for the initial transform.

Definition at line 78 of file itkCyclicGridScheduleComputer.h.

## VectorGridSpacingFactorType

template<typename TTransformScalarType, unsigned int VImageDimension>

using itk::CyclicGridScheduleComputer< TTransformScalarType, VImageDimension >::VectorGridSpacingFactorType = std::vector<GridSpacingFactorType>

Definition at line 75 of file itkCyclicGridScheduleComputer.h.

## VectorOriginType

template<typename TTransformScalarType, unsigned int VImageDimension>

using itk::CyclicGridScheduleComputer< TTransformScalarType, VImageDimension >::VectorOriginType = std::vector<OriginType>

Definition at line 72 of file itkCyclicGridScheduleComputer.h.

## VectorRegionType

template<typename TTransformScalarType, unsigned int VImageDimension>

using itk::CyclicGridScheduleComputer< TTransformScalarType, VImageDimension >::VectorRegionType = std::vector<RegionType>

Definition at line 74 of file itkCyclicGridScheduleComputer.h.

## VectorSpacingType

template<typename TTransformScalarType, unsigned int VImageDimension>

using itk::CyclicGridScheduleComputer< TTransformScalarType, VImageDimension >::VectorSpacingType = std::vector<SpacingType>

Definition at line 73 of file itkCyclicGridScheduleComputer.h.

## Constructor & Destructor Documentation

## CyclicGridScheduleComputer()

template<typename TTransformScalarType, unsigned int VImageDimension>

itk::CyclicGridScheduleComputer< TTransformScalarType, VImageDimension >::CyclicGridScheduleComputer | ( |  | ) |

protected default

The constructor.

## ~CyclicGridScheduleComputer()

template<typename TTransformScalarType, unsigned int VImageDimension>

itk::CyclicGridScheduleComputer< TTransformScalarType, VImageDimension >::~CyclicGridScheduleComputer | ( |  | ) |

override protected default

The destructor.

## Member Function Documentation

## ComputeBSplineGrid()

template<typename TTransformScalarType, unsigned int VImageDimension>

void itk::CyclicGridScheduleComputer< TTransformScalarType, VImageDimension >::ComputeBSplineGrid | ( |  | ) |

override virtual

Compute the B-spline grid.

Reimplemented from itk::GridScheduleComputer< TTransformScalarType, VImageDimension >.

## GetClassName()

template<typename TTransformScalarType, unsigned int VImageDimension>

virtual const char * itk::CyclicGridScheduleComputer< TTransformScalarType, VImageDimension >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from itk::GridScheduleComputer< TTransformScalarType, VImageDimension >.

## ITK_DISALLOW_COPY_AND_MOVE()

template<typename TTransformScalarType, unsigned int VImageDimension>

itk::CyclicGridScheduleComputer< TTransformScalarType, VImageDimension >::ITK_DISALLOW_COPY_AND_MOVE | ( | CyclicGridScheduleComputer< TTransformScalarType, VImageDimension > |  | ) |

## itkStaticConstMacro()

template<typename TTransformScalarType, unsigned int VImageDimension>

itk::CyclicGridScheduleComputer< TTransformScalarType, VImageDimension >::itkStaticConstMacro | ( | Dimension | ,
|  | unsigned int | ,
|  | VImageDimension | )

Dimension of the domain space.

## New()

template<typename TTransformScalarType, unsigned int VImageDimension>

Pointer itk::CyclicGridScheduleComputer< TTransformScalarType, VImageDimension >::New | ( |  | ) |

static

Method for creation through the object factory.

Generated on 1768596610 for elastix by 1.15.0 |